import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + "/enrollmentRegistration/list",
			method: "get",
			params: params,
		});
	},
	getUserInfoAudit: function (params) {
		return request({
			url: prefix + "/enrollmentRegistration/getUserInfoAudit",
			method: "get",
			params: params,
		});
	},
	save(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/save`,
			method: "post",
			data: inputForm,
		});
	},
	saveInfo(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveInfo`,
			method: "post",
			data: inputForm,
		});
	},
	save2(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/save2`,
			method: "post",
			data: inputForm,
		});
	},
	updateInfo(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfo`,
			method: "post",
			data: inputForm,
		});
	},
	updateInfoAudit(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfoAudit`,
			method: "post",
			data: inputForm,
		});
	},
	updateInfoAgree(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfoAgree`,
			method: "post",
			data: inputForm,
		});
	},

	updateInfoReject(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfoReject`,
			method: "post",
			data: inputForm,
		});
	},
	saveWageCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveWageCard`,
			method: "post",
			data: inputForm,
		});
	},
	saveSocialCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveSocialCard`,
			method: "post",
			data: inputForm,
		});
	},
	saveKeyCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveKeyCard`,
			method: "post",
			data: inputForm,
		});
	},
	saveRiceCard(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/saveRiceCard`,
			method: "post",
			data: inputForm,
		});
	},
	findById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findById",
			method: "get",
			params: { id: id },
		});
	},
	findAuditInfoById(params) {
		return request({
			url: prefix + "/enrollmentRegistration/findAuditInfoById",
			method: "get",
			params: params,
		});
	},
	findWageCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findWageCardById",
			method: "get",
			params: { id: id },
		});
	},
	findSocialCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findSocialCardById",
			method: "get",
			params: { id: id },
		});
	},
	findKeyCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findKeyCardById",
			method: "get",
			params: { id: id },
		});
	},
	findRiceCardById(id) {
		return request({
			url: prefix + "/enrollmentRegistration/findRiceCardById",
			method: "get",
			params: { id: id },
		});
	},
	updateStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateStatusById",
			method: "post",
			data: param,
		});
	},
	updateWageCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateWageCardStatusById",
			method: "post",
			data: param,
		});
	},
	updateSocialCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateSocialCardStatusById",
			method: "post",
			data: param,
		});
	},
	updateKeyCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateKeyCardStatusById",
			method: "post",
			data: param,
		});
	},
	updateRiceCardStatusById(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateRiceCardStatusById",
			method: "post",
			data: param,
		});
	},
	remove(id) {
		return request({
			url: prefix + "/enrollmentRegistration/remove",
			method: "get",
			params: { id: id },
		});
	},
	delByUserId(id) {
		return request({
			url: prefix + "/enrollmentRegistration/delByUserId",
			method: "get",
			params: { id: id },
		});
	},
	findIdCardOnly(idCard, userId) {
		return request({
			url: prefix + "/enrollmentRegistration/findIdCardOnly",
			method: "get",
			params: { idCard: idCard, userId: userId },
		});
	},
	findMobilePhoneOnly(mobilePhone) {
		return request({
			url: prefix + "/enrollmentRegistration/findMobilePhoneOnly",
			method: "get",
			params: { mobilePhone: mobilePhone },
		});
	},
	findMobilePhoneOnlyByTenantId(params) {
		return request({
			url:
				prefix +
				"/enrollmentRegistration/findMobilePhoneOnlyByTenantId",
			method: "get",
			params: params,
		});
	},
	findByUserId(userId) {
		return request({
			url: prefix + "/enrollmentRegistration/findByUserId",
			method: "get",
			params: { userId: userId },
		});
	},
	findInfoByUserId(userId) {
		return request({
			url: prefix + "/enrollmentRegistration/findInfoByUserId",
			method: "get",
			params: { userId: userId },
		});
	},
	downloadFile() {
		return request({
			url: prefix + "/enrollmentRegistration/downloadFile",
			method: "get",
			params: {},
			responseType: "blob",
		});
	},
	downloadAttachmentById(data) {
		return request({
			url: prefix + "/enrollmentRegistration/downloadAttachmentById",
			method: "post",
			data: data,
			responseType: "blob",
		});
	},

	downloadDepartFile(handoverId) {
		return request({
			url: prefix + "/enrollmentRegistration/downloadDepartFile",
			method: "get",
			params: { handoverId: handoverId },
			responseType: "blob",
		});
	},
	exportTemplate() {
		return request({
			url: prefix + "/enrollmentRegistration/import/template",
			method: "get",
			responseType: "blob",
		});
	},
	importExcel(data) {
		return request({
			url: prefix + "/enrollmentRegistration/import",
			method: "post",
			data: data,
		});
	},
	exportExcel: function (params) {
		return request({
			url: prefix + "/enrollmentRegistration/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	},
	updateStatusByIdUserInfo(param) {
		return request({
			url: prefix + "/enrollmentRegistration/updateStatusByIdUserInfo",
			method: "post",
			data: param,
		});
	},
	// 教育经历接口
	saveEduInfo(data) {
		return request({
			url: prefix + "/eduInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteEduInfoById(id) {
		return request({
			url: prefix + "/eduInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findEduInfo(params) {
		return request({
			url: prefix + "/eduInfo/list",
			method: "get",
			params: params,
		});
	},
	findEduAuditList(params) {
		return request({
			url: prefix + "/eduInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findEduInfoById(params) {
		return request({
			url: prefix + "/eduInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 暂存信息
	updateInfoTemporary(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfoTemporary`,
			method: "post",
			data: inputForm,
		});
	},
	// 工作经历接口
	saveWorkInfo(data) {
		return request({
			url: prefix + "/workInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteWorkInfoById(id) {
		return request({
			url: prefix + "/workInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findWorkInfo(params) {
		return request({
			url: prefix + "/workInfo/list",
			method: "get",
			params: params,
		});
	},
	findWorkAuditList(params) {
		return request({
			url: prefix + "/workInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findWorkInfoById(params) {
		return request({
			url: prefix + "/workInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 工作经历接口
	saveTrainingInfo(data) {
		return request({
			url: prefix + "/trainingInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteTrainingInfoById(id) {
		return request({
			url: prefix + "/trainingInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findTrainingInfo(params) {
		return request({
			url: prefix + "/trainingInfo/list",
			method: "get",
			params: params,
		});
	},
	findTrainingAuditList(params) {
		return request({
			url: prefix + "/trainingInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findTrainingInfoById(params) {
		return request({
			url: prefix + "/trainingInfo/findById",
			method: "get",
			params: params,
		});
	},

	saveTrainingInfo(data) {
		return request({
			url: prefix + "/trainingInfo/save",
			method: "post",
			data: data,
		});
	},
	// 资质证书接口
	saveCertificateInfo(data) {
		return request({
			url: prefix + "/certificateInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteCertificateInfoById(id) {
		return request({
			url: prefix + "/certificateInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findCertificateInfo(params) {
		return request({
			url: prefix + "/certificateInfo/list",
			method: "get",
			params: params,
		});
	},
	findCertificateAuditList(params) {
		return request({
			url: prefix + "/certificateInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findCertificateInfoById(params) {
		return request({
			url: prefix + "/certificateInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 专业技能接口
	saveSkillInfo(data) {
		return request({
			url: prefix + "/skillInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteSkillInfoById(id) {
		return request({
			url: prefix + "/skillInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findSkillInfo(params) {
		return request({
			url: prefix + "/skillInfo/list",
			method: "get",
			params: params,
		});
	},
	findSkillAuditList(params) {
		return request({
			url: prefix + "/skillInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findSkillInfoById(params) {
		return request({
			url: prefix + "/skillInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 语言能力接口
	saveLanguageInfo(data) {
		return request({
			url: prefix + "/languageInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteLanguageInfoById(id) {
		return request({
			url: prefix + "/languageInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findLanguageInfo(params) {
		return request({
			url: prefix + "/languageInfo/list",
			method: "get",
			params: params,
		});
	},
	findLanguageAuditList(params) {
		return request({
			url: prefix + "/languageInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findLanguageInfoById(params) {
		return request({
			url: prefix + "/languageInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 家庭成员接口
	saveFamilyInfo(data) {
		return request({
			url: prefix + "/familyInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteFamilyInfoById(id) {
		return request({
			url: prefix + "/familyInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findFamilyInfo(params) {
		return request({
			url: prefix + "/familyInfo/list",
			method: "get",
			params: params,
		});
	},
	findFamilyAuditList(params) {
		return request({
			url: prefix + "/familyInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findFamilyInfoById(params) {
		return request({
			url: prefix + "/familyInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 获奖信息接口
	saveRewardInfo(data) {
		return request({
			url: prefix + "/rewardInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteRewardInfoById(id) {
		return request({
			url: prefix + "/rewardInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findRewardInfo(params) {
		return request({
			url: prefix + "/rewardInfo/list",
			method: "get",
			params: params,
		});
	},
	findRewardAuditList(params) {
		return request({
			url: prefix + "/rewardInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findRewardInfoById(params) {
		return request({
			url: prefix + "/rewardInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 劳动合同接口
	saveLaborContractInfo(data) {
		return request({
			url: prefix + "/laborContractInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteLaborContractInfoById(id) {
		return request({
			url: prefix + "/laborContractInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findLaborContractInfo(params) {
		return request({
			url: prefix + "/laborContractInfo/list",
			method: "get",
			params: params,
		});
	},
	findLaborContractInfoById(params) {
		return request({
			url: prefix + "/laborContractInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 社会及行业职务接口
	saveSocietyInfo(data) {
		return request({
			url: prefix + "/societyInfo/save",
			method: "post",
			data: data,
		});
	},
	deleteSocietyInfoById(id) {
		return request({
			url: prefix + "/societyInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findSocietyInfo(params) {
		return request({
			url: prefix + "/societyInfo/list",
			method: "get",
			params: params,
		});
	},
	findSocietyAuditList(params) {
		return request({
			url: prefix + "/societyInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findSocietyInfoById(params) {
		return request({
			url: prefix + "/societyInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 社会及行业职务接口
	savePerformanceInfo(data) {
		return request({
			url: prefix + "/performanceInfo/save",
			method: "post",
			data: data,
		});
	},
	deletePerformanceInfoById(id) {
		return request({
			url: prefix + "/performanceInfo/delete",
			method: "post",
			data: { id: id },
		});
	},
	findPerformanceInfo(params) {
		return request({
			url: prefix + "/performanceInfo/list",
			method: "get",
			params: params,
		});
	},
	findPerformanceAuditList(params) {
		return request({
			url: prefix + "/performanceInfo/findAuditList",
			method: "get",
			params: params,
		});
	},
	findPerformanceInfoById(params) {
		return request({
			url: prefix + "/performanceInfo/findById",
			method: "get",
			params: params,
		});
	},
	// 修改状态
	updateInfoStatus(inputForm) {
		return request({
			url: prefix + `/enrollmentRegistration/updateInfoStatus`,
			method: "post",
			data: inputForm,
		});
	},
};
